-- by modelleicher
-- http://schwabenmodding.bplaced.net

Hydraulic = {};

function Hydraulic.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Hydraulic:load(xmlFile)
   self.setRotTop = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.setRotTop#index"));
   self.setDirStreben = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.setDirStreben#index"));	
   self.getRotTop = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.getRotTop#index"));	
   self.getDirStreben = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Hydraulic.getDirStreben#index"));		
end;

function Hydraulic:delete()
end;

function Hydraulic:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Hydraulic:keyEvent(unicode, sym, modifier, isDown)
end;

function Hydraulic:update(dt)
    if self:getIsActiveForInput() and self.isEntered then
	        -- Rotation fr Oberarme
            local getRotX, getRotY, getRotZ = getRotation(self.getRotTop)
			local topRotWert = getRotX *0.8  -- <-- der Wert bestimmt den Weg den der Arm macht, kleiner = weniger grer = mehr
			setRotation(self.setRotTop, topRotWert, 0, 0)		
            -- direction fr Streben
            local px, py, pz = getWorldTranslation(self.getDirStreben); 
            local bx, by, bz = getWorldTranslation(self.setDirStreben);
            local dx = px - bx;
            local dy = py - by;
            local dz = pz - bz;
            local ux, uy, uz = localDirectionToWorld(self.getDirStreben, 1, 0, 0);
            dx, dy, dz = worldDirectionToLocal(getParent(self.setDirStreben), dx, dy, dz);
            ux, uy, uz = worldDirectionToLocal(getParent(self.setDirStreben), ux, uy, uz);
            setDirection(self.setDirStreben, dx, dy, dz, ux, uy, uz);
	end;
end;

function Hydraulic:draw()
end;

